Bug 492342 - Crash at main.c:315 when switching user via gnome-screensaver
Crash at main.c:315 when switching user via gnome-screensaver
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-26 11:02 EDT by Michal Nowak
Modified: 2013-03-07 21:05 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-11 04:58:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2009-03-26 11:02:10 EDT
Description of problem:

I found this crash waiting for me, when I logged in after few hours of inactivity.

Core was generated by `/usr/bin/Xorg :1 -br -verbose -auth /var/run/gdm/auth-for-gdm-OqAXob/database -'.
Program terminated with signal 6, Aborted.
#0  0x0000003d61033275 in *__GI_raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
#0  0x0000003d61033275 in *__GI_raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x0000003d61034aea in *__GI_abort () at abort.c:88
#2  0x0000000000465d29 in ddxGiveUp () at xf86Init.c:1428
#3  0x00000000004f306d in AbortServer () at log.c:407
#4  0x00000000004f375e in FatalError (
    f=0x5792a0 "Caught signal %d.  Server aborting\n") at log.c:532
#5  0x000000000047ddbf in xf86SigHandler (signo=11) at xf86Events.c:387
#6  <signal handler called>
#7  0x00007f9d47b85f07 in ?? ()
   from /usr/lib64/xorg/modules/drivers//nouveau_drv.so
#8  0x000000000042c7c4 in AddScreen (pfnInit=0x7f9d47b85570, argc=8, 
    argv=0x7fff50ca54d8) at main.c:702
#9  0x0000000000467a3f in InitOutput (pScreenInfo=<value optimized out>, 
    argc=8, argv=0x7fff50ca54d8) at xf86Init.c:1256
#10 0x000000000042cedc in main (argc=<value optimized out>, 
    argv=0x7fff50ca54d8, envp=<value optimized out>) at main.c:315


I think it happened because I tried to "Switch User" via the button in gnome-screensaver, I hit it, it did some flash here and there and nothing really happened. Then I logged in and saw this trace. But the crashed Xorg is not the one I had locked originally.

Version-Release number of selected component (if applicable):

newman@dhcp-lab-124 abrt $ rpmquery -a xorg-x11-*
xorg-x11-drv-i128-1.3.0-2.fc11.x86_64
xorg-x11-drv-diamondtouch-0.2.0-0.1.fc9.x86_64
xorg-x11-drv-nv-2.1.12-11.fc11.x86_64
xorg-x11-drv-synaptics-1.1.0-1.fc11.x86_64
xorg-x11-drv-dummy-0.3.1-2.fc11.x86_64
xorg-x11-drv-ati-6.11.0-10.fc11.x86_64
xorg-x11-drv-glint-1.2.2-2.fc11.x86_64
xorg-x11-drv-tek4957-1.2.0-1.fc9.x86_64
xorg-x11-drv-evdev-2.2.0-1.fc11.x86_64
xorg-x11-utils-7.4-4.fc11.x86_64
xorg-x11-font-utils-7.2-7.fc11.x86_64
xorg-x11-drv-mutouch-1.2.1-2.fc11.x86_64
xorg-x11-drv-ast-0.87.0-2.fc11.x86_64
xorg-x11-drv-nouveau-0.0.12-10.20090310git8f9a580.fc11.x86_64
xorg-x11-drv-dynapro-1.1.2-1.fc9.x86_64
xorg-x11-drv-digitaledge-1.1.1-1.fc9.x86_64
xorg-x11-drv-i740-1.2.0-3.fc11.x86_64
xorg-x11-drv-apm-1.2.1-2.fc11.x86_64
xorg-x11-drv-mouse-1.4.0-2.fc11.x86_64
xorg-x11-drv-sis-0.10.1-2.fc11.x86_64
xorg-x11-drv-siliconmotion-1.7.0-1.fc11.x86_64
xorg-x11-drv-palmax-1.2.0-1.fc9.x86_64
xorg-x11-drv-spaceorb-1.1.0-6.fc9.x86_64
xorg-x11-drv-summa-1.2.0-2.fc10.x86_64
xorg-x11-apps-debuginfo-7.3-7.fc11.x86_64
xorg-x11-filesystem-7.3-4.fc11.noarch
xorg-x11-drv-acecad-1.3.0-1.fc11.x86_64
xorg-x11-drv-mach64-6.8.0-3.fc11.x86_64
xorg-x11-drv-r128-6.8.0-3.fc11.x86_64
xorg-x11-drv-keyboard-1.3.2-2.fc11.x86_64
xorg-x11-server-utils-7.4-7.fc11.x86_64
xorg-x11-drv-magellan-1.2.0-1.fc9.x86_64
xorg-x11-drv-ur98-1.1.0-5.fc9.x86_64
xorg-x11-drv-citron-2.2.1-1.fc9.x86_64
xorg-x11-drv-wiimote-0.0.1-1.fc9.x86_64
xorg-x11-drv-vesa-2.2.0-3.fc11.x86_64
xorg-x11-drv-s3virge-1.10.2-2.fc11.x86_64
xorg-x11-drv-penmount-1.4.0-2.fc11.x86_64
xorg-x11-drv-vmmouse-12.6.3-4.fc11.x86_64
xorg-x11-drv-v4l-0.2.0-2.fc11.x86_64
xorg-x11-drv-hyperpen-1.3.0-1.fc11.x86_64
xorg-x11-drv-intel-2.6.0-14.fc11.x86_64
xorg-x11-fonts-misc-7.2-8.fc11.noarch
xorg-x11-apps-7.3-7.fc11.x86_64
xorg-x11-drv-aiptek-1.2.0-1.fc11.x86_64
xorg-x11-xauth-1.0.2-6.fc11.x86_64
xorg-x11-drv-savage-2.2.0-3.fc11.x86_64
xorg-x11-drv-elographics-1.2.3-2.fc11.x86_64
xorg-x11-drv-vmware-10.16.0-3.fc11.x86_64
xorg-x11-drv-mga-1.4.9-2.fc11.x86_64
xorg-x11-drv-fbdev-0.4.0-4.fc11.x86_64
xorg-x11-drv-calcomp-1.1.2-1.fc9.x86_64
xorg-x11-drv-trident-1.3.1-2.fc11.x86_64
xorg-x11-xkb-utils-7.2-8.fc11.x86_64
xorg-x11-drv-void-1.2.0-1.fc11.x86_64
xorg-x11-drivers-7.3-11.fc11.x86_64
xorg-x11-drv-openchrome-0.2.903-9.fc11.x86_64
xorg-x11-drv-rendition-4.2.1-2.fc11.x86_64
xorg-x11-drv-tdfx-1.4.1-2.fc11.x86_64
xorg-x11-server-common-1.6.0-13.fc11.x86_64
xorg-x11-proto-devel-7.4-14.fc11.noarch
xorg-x11-drv-fpit-1.3.0-2.fc11.x86_64
xorg-x11-drv-microtouch-1.2.0-1.fc9.x86_64
xorg-x11-drv-sisusb-0.9.1-2.fc11.x86_64
xorg-x11-server-debuginfo-1.6.0-13.fc11.x86_64
xorg-x11-drv-dmc-1.1.2-1.fc9.x86_64
xorg-x11-drv-cirrus-1.2.0-6.fc11.x86_64
xorg-x11-drv-jamstudio-1.2.0-1.fc9.x86_64
xorg-x11-drv-voodoo-1.2.1-2.fc11.x86_64

xorg-x11-server-Xorg-1.6.0-13.fc11.x86_64

xorg-x11-xinit-1.0.9-5.fc11.x86_64

How reproducible:

always
Comment 1 Ben Skeggs 2009-05-08 21:20:11 EDT
Can you install all the latest updates?  Nouveau is 0.0.12-10 here, there has been a *lot* of fixes and improvements since then.
Comment 2 Michal Nowak 2009-05-11 04:58:52 EDT
Switching users now works, thanks!

Note You need to log in before you can comment on or make changes to this bug.